#
# NVM settings
#

NVM_DIR=

if [ -f "${HOME}/.nvm/nvm.sh" ]; then
    NVM_DIR="${HOME}/.nvm"
elif [ -f "/usr/local/nvm/nvm.sh" ]; then
    NVM_DIR="/usr/local/nvm"
fi

export NVM_DIR

if [ -n "${NVM_DIR}" ]; then
    if [ "${UID}" = 0 ] && [ -n "${SUDO_UID}" ] ; then
        export ZSH_DISABLE_COMPFIX=true
    fi
    if [ -s "${NVM_DIR}/nvm.sh" ]; then
        source "${NVM_DIR}/nvm.sh"
    fi
    if [ -s "${NVM_DIR}/bash_completion" ]; then
        source "${NVM_DIR}/bash_completion"
    fi
fi
